Bug 1240687 - targetctl restore is spinning and never finishes with kernel 4.2.0-0.rc1
Summary: targetctl restore is spinning and never finishes with kernel 4.2.0-0.rc1
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rtslib
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Grover
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-07 14:13 UTC by Yanko Kaneti
Modified: 2015-09-01 16:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-01 16:06:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Yanko Kaneti 2015-07-07 14:13:33 UTC
targetctl restore is spining and never finishes with kernel 4.2.0-0.rc1

strace dumps forever
.....
write(4, "0", 1)                        = 0
....

lsof shows 4 is /sys/kernel/config/target/core/iblock_0/p_back/attrib/pi_prot_type


Version-Release number of selected component (if applicable):
kernel-4.2.0-0.rc1.git0.1.fc23.x86_64
python-rtslib-2.1.fb57-1.fc23.noarch


How reproducible:
Always

Comment 1 Andy Grover 2015-07-07 16:09:37 UTC
thanks for the report, trying to reproduce. Did this just start happening with that specific kernel?

Comment 2 Yanko Kaneti 2015-07-07 16:37:24 UTC
I didn't follow the pre rc1 rawhide kernels so the previous one (working for me with generally the same userspace) was 4.1.0-1.fc23.x86_64

Comment 3 Andy Grover 2015-07-09 16:59:22 UTC
reproduced, fix posted upstream

Comment 4 Jan Kurik 2015-07-15 13:20:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Andy Grover 2015-09-01 16:06:05 UTC
fix in 4.2-rc5


Note You need to log in before you can comment on or make changes to this bug.